pappso::PeakIonMatch Class Reference

`#include <peakionmatch.h>`

Inheritance diagram for pappso::PeakIonMatch:

## Public Member Functions

| PeakIonMatch (const DataPoint &peak, const PeptideFragmentIonSp &ion_sp, unsigned int charge)
| PeakIonMatch (const PeakIonMatch &other)
virtual | ~PeakIonMatch ()
virtual const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
const DataPoint & | getPeak () const
unsigned int | getCharge () const
PeptideIon | getPeptideIonType () const
PeptideDirection | getPeptideIonDirection () const

## Private Attributes

DataPoint | _peak
PeptideFragmentIonSp | _ion_sp
unsigned int | _charge

## Detailed Description

Definition at line 39 of file peakionmatch.h.

## Constructor & Destructor Documentation

## PeakIonMatch() [1/2]

pappso::PeakIonMatch::PeakIonMatch | ( | const DataPoint & | peak,
|  | const PeptideFragmentIonSp & | ion_sp,
|  | unsigned int | charge
| ) |  |

Definition at line 35 of file peakionmatch.cpp.

: _peak(peak), _ion_sp(ion_sp), _charge(charge)
{
}
pappso::PeakIonMatch::_ion_sp
PeptideFragmentIonSp _ion_sp
Definition: peakionmatch.h:82
pappso::PeakIonMatch::_charge
unsigned int _charge
Definition: peakionmatch.h:83
pappso::PeakIonMatch::_peak
DataPoint _peak
Definition: peakionmatch.h:78

## PeakIonMatch() [2/2]

pappso::PeakIonMatch::PeakIonMatch | ( | const PeakIonMatch & | other | ) |

Definition at line 42 of file peakionmatch.cpp.

: _peak(other._peak), _ion_sp(other._ion_sp), _charge(other._charge)
{
}

## ~PeakIonMatch()

pappso::PeakIonMatch::~PeakIonMatch | ( |  | ) |

virtual

Definition at line 47 of file peakionmatch.cpp.

{
}

## Member Function Documentation

## getCharge()

unsigned int pappso::PeakIonMatch::getCharge | ( |  | ) | const

inline

Definition at line 61 of file peakionmatch.h.

{
return _charge;
};

Referenced by pappso::PeptideSpectrumMatch::contains().

## getPeak()

const DataPoint& pappso::PeakIonMatch::getPeak | ( |  | ) | const

inline

Definition at line 55 of file peakionmatch.h.

{
return _peak;
};

Referenced by pappso::QCPSpectrum::addMassDelta(), and pappso::QCPSpectrum::addPeakIonIsotopeMatch().

## getPeptideFragmentIonSp()

virtual const PeptideFragmentIonSp& pappso::PeakIonMatch::getPeptideFragmentIonSp | ( |  | ) | const

inline virtual

Definition at line 49 of file peakionmatch.h.

{
return _ion_sp;
};

Referenced by pappso::PeptideSpectrumMatch::contains().

## getPeptideIonDirection()

PeptideDirection pappso::PeakIonMatch::getPeptideIonDirection | ( |  | ) | const

inline

Definition at line 72 of file peakionmatch.h.

{
return _ion_sp.get()
->getPeptideFragmentSp()
.get()
->getPeptideIonDirection();
};

## getPeptideIonType()

PeptideIon pappso::PeakIonMatch::getPeptideIonType | ( |  | ) | const

inline

Definition at line 67 of file peakionmatch.h.

{
return _ion_sp.get()->getPeptideIonType();
};

Referenced by pappso::QCPSpectrum::addPeakIonIsotopeMatch().

## Member Data Documentation

## _charge

unsigned int pappso::PeakIonMatch::_charge

private

Definition at line 83 of file peakionmatch.h.

## _ion_sp

PeptideFragmentIonSp pappso::PeakIonMatch::_ion_sp

private

Definition at line 82 of file peakionmatch.h.

## _peak

DataPoint pappso::PeakIonMatch::_peak

private

Definition at line 81 of file peakionmatch.h.

The documentation for this class was generated from the following files:

- pappsomspp/psm/peakionmatch.h
- pappsomspp/psm/peakionmatch.cpp